PlotFitDiag <- function(indata) {
  data <- indata
  mod <- lm(data=data, Area~Amount)
  plot <- ggplot(data=data, aes(x=Amount, y=mod$residuals)) + geom_point() + geom_line() + geom_hline(aes(yintercept=0)) + theme_bw()
  return(plot)
}